Subject: bug#35560: closed (Re: bug#35560: GNOME Shell 3.28 crashes and suspends to RAM (!) after ejecting removable media)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 14 Dec 2021 16:50:02 +0000

Your bug report

#35560: GNOME Shell 3.28 crashes and suspends to RAM (!) after ejecting removable media

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35560: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35560
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35560: GNOME Shell 3.28 crashes and suspends to RAM (!) after ejecting removable media
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ricardo Wurmus <[email-masked]>, Timothy Sample <[email-masked]>
Date: Tue, 14 Dec 2021 17:48:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

Ludovic Courtès <[email-masked]> skribis:

> GNOME Shell is crashy since the 3.28 upgrade (it’s an install that was
> made before the 3.28 upgrade; I wonder whether the same happens on a
> fresh install.)
>
> It occasionally crashes (SIGSEGV) and is automatically respawned, which
> is kinda okay: as a user, you notice that it flickers for a second or
> two and then it comes back.

The bug didn’t show up again in the intervening 2.5 years, so I’m taking
the liberty to close it.  Instead, I’ll look for new bugs in GNOME 41.

(Woow, GNOME went from 3.28 to 41 in so little time! Guix 41, when?)

Thanks!

Ludo’.

Subject: GNOME Shell 3.28 crashes and suspends to RAM (!) after ejecting removable media
From: Ludovic Courtès <[email-masked]>
To: Bug Guix <[email-masked]>
Cc: Ricardo Wurmus <[email-masked]>, Timothy Sample <[email-masked]>
Date: Sat, 04 May 2019 16:13:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

GNOME Shell is crashy since the 3.28 upgrade (it’s an install that was
made before the 3.28 upgrade; I wonder whether the same happens on a
fresh install.)

It occasionally crashes (SIGSEGV) and is automatically respawned, which
is kinda okay: as a user, you notice that it flickers for a second or
two and then it comes back.

The thing that’s really bad is that clicking on the eject icon of a
removal storage device in Files leads to a gnome-shell crash that’s
unrecoverable (“respawning too quickly”), followed by the laptop
entering suspend-to-RAM without prior notice (!):

--8<---------------cut here---------------start------------->8---
May  4 16:01:29 localhost gnome-session-binary[1200]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 11
May  4 16:01:30 localhost dbus-daemon[492]: [system] Activating service name='org.freedesktop.GeoClue2' requested by ':1.161' (uid=30011 pid=17618 comm="/gnu/store/lv4bxsnjnc9d5bgpsz358bn8l63z6972-gnome-") (using servicehelper)
May  4 16:01:30 localhost dbus-daemon[492]: [system] Successfully activated service 'org.freedesktop.GeoClue2'
May  4 16:01:31 localhost vmunix: [22649.868434] pool[17625]: segfault at 0 ip 00007f674cf716b6 sp 00007f6743ffe7d8 error 4 in libc-2.28.so[7f674cefe000+13f000]
May  4 16:01:31 localhost vmunix: [22649.868445] Code: 0f 1f 40 00 66 0f ef c0 66 0f ef c9 66 0f ef d2 66 0f ef db 48 89 f8 48 89 f9 48 81 e1 ff 0f 00 00 48 81 f9 cf 0f 00 00 77 6a <f3> 0f 6f 20 66 0f 74 e0 66 0f d7 d4 85 d2 74 04 0f bc c2 c3 48 83
May  4 16:01:31 localhost gnome-session-binary[1200]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 11
May  4 16:01:31 localhost gnome-session-binary[1200]: WARNING: App 'org.gnome.Shell.desktop' respawning too quickly
May  4 16:01:31 localhost colord: Automatic remove of icc-55226bc36922618d756d61d24203325a from xrandr-Undefined
May  4 16:01:31 localhost colord: Profile removed: icc-55226bc36922618d756d61d24203325a
May  4 16:01:31 localhost colord: Automatic remove of icc-650990d735c23843b779ea9f8129fbb2 from xrandr-Undefined-HP w1907-3CQ834385X
May  4 16:01:31 localhost colord: Profile removed: icc-650990d735c23843b779ea9f8129fbb2
May  4 16:01:32 localhost NetworkManager[495]: <info>  [1556978492.9794] manager: sleep: sleep requested (sleeping: no  enabled: yes)
May  4 16:01:32 localhost NetworkManager[495]: <info>  [1556978492.9794] manager: NetworkManager state is now ASLEEP
May  4 16:01:38 localhost vmunix: [22656.546797] PM: suspend entry (deep)
May  4 16:01:38 localhost vmunix: [22656.546800] PM: Syncing filesystems ... 
--8<---------------cut here---------------end--------------->8---

In /var/log/gdm/greeter.log, I see this:

--8<---------------cut here---------------start------------->8---
GNOME Shell-Message: 16:01:32.993: Screen lock is locked down, not locking
GNOME Shell-Message: 16:01:33.004: Screen lock is locked down, not locking
GNOME Shell-Message: 16:01:33.018: Screen lock is locked down, not locking
GNOME Shell-Message: 16:01:33.024: Screen lock is locked down, not locking
GNOME Shell-Message: 16:01:33.030: Screen lock is locked down, not locking
GNOME Shell-Message: 16:01:33.037: Screen lock is locked down, not locking
GNOME Shell-Message: 16:01:33.043: Screen lock is locked down, not locking
GNOME Shell-Message: 16:01:38.209: Screen lock is locked down, not locking
gnome-session-binary[605]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 11

(gsd-power:695): GnomeDesktop-WARNING **: 16:01:38.291: Error setting property 'PowerSaveMode' on interface org.gnome.Mutter.DisplayConfig: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message recipient disconnected from message bus without replying (g-dbus-error-quark, 4)

(gsd-power:695): GnomeDesktop-WARNING **: 16:01:38.291: Error setting property 'PowerSaveMode' on interface org.gnome.Mutter.DisplayConfig: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message recipient disconnected from message bus without replying (g-dbus-error-quark, 4)
--8<---------------cut here---------------end--------------->8---

Is anybody experiencing this?  Ideas?  Thoughts?  Sympathy?  :-)

Ludo’.